Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.contrib.failmon
Interface Monitored

All Known Implementing Classes:
  CPUParser, HadoopLogParser, LogParser, NICParser, SensorsParser, ShellParser, SMARTParser, SystemLogParser

    public interface Monitored

Represents objects that monitor specific hardware resources and can query them to get EventRecords describing the state of these resources.

Method Summary
`String` | `getInfo()` Return a String with information about the implementing class
`EventRecord[]` | `monitor()` Get an array of all EventRecords that can be extracted for the represented hardware component.
`void` | `monitor(LocalStore ls)` Inserts all EventRecords that can be extracted for the represented hardware component into a LocalStore.

Method Detail

### monitor

    EventRecord[] monitor()

  Get an array of all EventRecords that can be extracted for the represented hardware component.

  Returns:
    The array of EventRecords

### monitor

    void monitor(LocalStore ls)

  Inserts all EventRecords that can be extracted for the represented hardware component into a LocalStore.

  Parameters:
    `ls` - the LocalStore into which the EventRecords are to be stored.

### getInfo

    String getInfo()

  Return a String with information about the implementing class

  Returns:
    A String describing the implementing class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation